unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  JvSpecialProgress;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Timer1: TTimer;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
  private
    FSpecialProgressBar: TJvSpecialProgress;

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  FSpecialProgressBar.Position := 0;
  Timer1.Enabled := true;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FSpecialProgressbar := TJvSpecialProgress.Create(self);
  FSpecialProgressbar.Parent := self;
  FSpecialProgressbar.Left := 8;
  FSpecialprogressbar.Top := 8;
  FSpecialProgressbar.Width := Width - 2*8;
  FSpecialProgressbar.TextOption := toPercent;
  FSpecialProgressbar.Solid := true;
  FSpecialProgressbar.TextCentered := true;
  FSpecialProgressbar.EndColor := clSkyBlue;
  FSpecialProgressbar.StartColor := clSkyblue;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
  FSpecialProgressbar.Position := FSpecialProgressbar.Position + 1;
end;

end.

